Description

If you insert e.g. http://www.redhat.com:80 then the HTML is rendered. We should:

only show first few lines of the output

escape HTML entities there

I am testing more pages where we require an URL.

Low security impact.

Associated revisions

Revision c8d1c6d7 - 06/10/2013 06:52 AM - Lukas Zapletal

fixes #2622 - error messages with HTML properly escaped

Revision e8030775 - 06/11/2013 10:30 AM - Lukas Zapletal

fixes #2622 - error messages with HTML properly escaped

(cherry picked from commit c8d1c6d713cc412bc4ab30b74e60e2ff98d8b74a)

History

#1 - 06/06/2013 06:08 AM - Dominic Cleal

The other aspect of this is proxy responses are likely used verbatim in success/failure popups etc, I know HTTP response messages certainly appear

there.

#2 - 06/10/2013 05:13 AM - Lukas Zapletal

Right, created a task on backlog for this. There is much more :-(

#3 - 06/10/2013 05:28 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/703

#4 - 06/10/2013 11:17 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c8d1c6d713cc412bc4ab30b74e60e2ff98d8b74a.

#5 - 06/10/2013 11:24 AM - Dominic Cleal

- Status changed from Closed to Assigned

- % Done changed from 100 to 50
Sorry, accidentally pushed this.  Please see my last comment in the PR and send a new PR for the additional change(s).  Thanks!

#6 - 06/11/2013 11:17 AM - Lukas Zapletal

- Status changed from Assigned to Closed

- % Done changed from 50 to 100

Applied in changeset e80307751812093e70b9c0de7b566c04ef9a9712.
